package fi.jyu.intellij.comtest.idea.actions

import com.intellij.execution.Executor
import com.intellij.execution.executors.DefaultDebugExecutor
import com.intellij.openapi.actionSystem.ActionUpdateThread

/**
 * Action to run ComTest on a class/package and start tests in debug mode.
 */
class ComTestGenerateDebugAction : ComTestGenerateActionBase() {
    override val testExecutor: Executor = DefaultDebugExecutor.getDebugExecutorInstance()

    override fun getActionUpdateThread(): ActionUpdateThread {
        return ActionUpdateThread.BGT
    }
}