package fi.jyu.intellij.comtest.idea.actions

import com.intellij.execution.Executor
import com.intellij.execution.executors.DefaultRunExecutor
import com.intellij.openapi.actionSystem.ActionUpdateThread

/**
 * Action to run ComTest on a class/package and start tests in run mode.
 */
class ComTestGenerateRunAction : ComTestGenerateActionBase() {
    override val testExecutor: Executor = DefaultRunExecutor.getRunExecutorInstance()

    override fun getActionUpdateThread(): ActionUpdateThread {
        return ActionUpdateThread.BGT
    }
}